%define module automat

Summary:	Python library for finite-state machines
Name:		python-%{module}
Version:	0.6.0
Release:	1
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/Automat/
Source0:	https://pypi.io/packages/source/a/automat/Automat-%{version}.tar.gz
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(setuptools)
BuildRequires:	pythonegg(setuptools-scm)
BuildRequires:	pythonegg(docutils)
BuildRequires:	pythonegg(m2r)
BuildRequires:	python3egg(setuptools)
BuildRequires:	python3egg(setuptools-scm)
BuildRequires:	python3egg(docutils)
BuildRequires:	python3egg(m2r)
BuildArch:	noarch

%description
Python library for finite-state machines.

%files -n python-%{module}
%doc README.md LICENSE docs/*
%{_bindir}/python-automat-visualize
%{python_sitelib}/%{module}/
%{python_sitelib}/Automat-%{version}-py%{python2_version}.egg-info/

#------------------------------------------------------

%package -n python3-%{module}
Summary:	Python 3 library for finite-state machines
Group:		Development/Python
BuildArch:	noarch

%description -n python3-%{module}
Python 3 library for finite-state machines.

%files -n python3-%{module}
%doc README.md LICENSE docs/*
%{_bindir}/automat-visualize
%{python3_sitelib}/%{module}/
%{python3_sitelib}/Automat-%{version}-py%{python3_version}.egg-info/

#------------------------------------------------------

%prep
%setup -qn Automat-%{version}

# Remove bundled egg-info
rm -rf Automat.egg-info

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd
%py_build

%install
pushd %{py3dir}
%py3_install
popd
%py_install
cp %{buildroot}%{_bindir}/automat-visualize %{buildroot}%{_bindir}/python-automat-visualize

%changelog
